import type { RequestEvent } from '@sveltejs/kit';
import type { RedisConfig, RateLimitingConfig } from './';
export declare class RedisRateLimiter {
    private redis;
    constructor(config: RedisConfig);
    static fromUrl(url: string, token?: string): RedisRateLimiter;
    limit(event: RequestEvent, config: RateLimitingConfig): Promise<{
        allowed: boolean;
        remaining: number;
        resetTime: number;
        blockedUntil?: number;
    }>;
    private defaultKeyGenerator;
    close(): Promise<void>;
}
