import type { RequestEvent } from '@sveltejs/kit';
import type { RateLimitingConfig } from './';
export declare class InMemoryRateLimiter {
    private requestLog;
    private blockedUntil;
    limit(event: RequestEvent, config: RateLimitingConfig): {
        allowed: boolean;
        remaining: number;
        resetTime: number;
        blockedUntil?: number;
    };
    private defaultKeyGenerator;
}
