import type { RequestEvent } from '@sveltejs/kit';
import type { RateLimitingConfig } from './';
export declare class UpstashRedisRateLimiter {
    private redis;
    constructor(redisUrl: string, redisToken: string);
    limit(event: RequestEvent, config: RateLimitingConfig): Promise<{
        allowed: boolean;
        remaining: number;
        resetTime: number;
        blockedUntil?: number;
    }>;
    private defaultKeyGenerator;
}
